<!--{include file="header.html"}-->

<!--位置和统计开始-->
<div class="location">
<div id="location"><a href="<!--{$WEB_URL}-->"><!--{$SITE_NAME}--></a> &raquo; <b>回复留言</b></div>
</div>
<!--位置和统计结束-->

<!--留言界面开始-->
<div class="post_box">
<form action="<!--{$WEB_URL}-->/admin/index.php?action=reply" method="post">
<table cellspacing="0">
	<!--{nocache}-->
	<!--{if $GetId eq 'sel'}-->
  <tr>
	<td class="post_box_left post_text_l">批量回复：<input id="ReplyMsgId" name="ReplyMsgId" type="hidden" value="" /></td>
    <td colspan="2" class="post_box_right sel_reply_content_r">对选中的 <div class="selected_num">0</div> 条留言进行回复</td>  
  </tr>
	<!--{else}-->
  <tr>
    <td class="post_box_left post_text_l">回复留言(ID:<!--{$GetId}-->)：<input name="ReplyMsgId" type="hidden" value="<!--{$GetId}-->" /></td>
    <td colspan="2" class="post_box_right reply_content_r"><!--{$Content}--></td>
  </tr>
	<!--{/if}-->
    <!--{/nocache}-->
  <tr>
    <td class="post_box_left post_content">回复内容：</td>
    <td colspan="2" class="post_box_right post_content_r">
    <!--{nocache}-->
    <!--{if $SELECTEDIT eq 'baidu'}-->
        <!-- 加载编辑器的容器 -->
        <script id="container" name="ReplyContent" type="text/plain"><!--{if $GetId neq 'sel'}--><!--{$ReplyMessage.reply}--><!--{/if}--></script>
        <!-- 配置文件 -->
        <script type="text/javascript" charset="utf-8" src="<!--{$WEB_URL}-->/include/editor/baidu/ueditor.config.js"></script>
        <!-- 编辑器源码文件 -->
        <script type="text/javascript" charset="utf-8" src="<!--{$WEB_URL}-->/include/editor/baidu/ueditor.all.js"></script>  
        <!-- 实例化编辑器 -->
        <!-- 实例化编辑器 -->
        <script type="text/javascript">
        var ue = UE.getEditor('container', {
            toolbars: [
                ['bold', 'fontfamily', 'fontsize', 'forecolor', 'insertimage', 'link', 'unlink', 'justifyleft', 'justifycenter', 'justifyright', 'attachment']
            ],
            autoHeightEnabled: true,
            autoFloatEnabled: true,
            initialFrameWidth : 700,
            initialFrameHeight: 220,
            elementPathEnabled: false,
            wordCount: false
        });
        </script>
	<!--{elseif $SELECTEDIT eq 'kindeditor'}-->
		<script charset="utf-8" src="<!--{$WEB_URL}-->/include/editor/kindeditor/kindeditor-all.js"></script>
        <script>
            var editor;
            KindEditor.ready(function(K) {
                editor = K.create('textarea[name="ReplyContent"]', {
                    allowFileManager : true
                });
                K('input[name=getHtml]').click(function(e) {
                    alert(editor.html());
                });
                K('input[name=isEmpty]').click(function(e) {
                    alert(editor.isEmpty());
                });
                K('input[name=getText]').click(function(e) {
                    alert(editor.text());
                });
                K('input[name=selectedHtml]').click(function(e) {
                    alert(editor.selectedHtml());
                });
                K('input[name=setHtml]').click(function(e) {
                    editor.html('<h3>Hello KindEditor</h3>');
                });
                K('input[name=setText]').click(function(e) {
                    editor.text('<h3>Hello KindEditor</h3>');
                });
                K('input[name=insertHtml]').click(function(e) {
                    editor.insertHtml('<strong>插入HTML</strong>');
                });
                K('input[name=appendHtml]').click(function(e) {
                    editor.appendHtml('<strong>添加HTML</strong>');
                });
                K('input[name=clear]').click(function(e) {
                    editor.html('');
                });
            });			
        </script>
        <textarea name="ReplyContent" style="width:700px;height:220px;">
        <!--{if $GetId neq 'sel'}--><!--{$ReplyMessage.reply}--><!--{/if}-->
        </textarea>         
    <!--{/if}-->        
    <!--{/nocache}-->
    <input name="MailOption[]" type="hidden" value="MailOption">
    </td>
  </tr>
  <!--{if $REPLY_EMAIL eq '1'}-->
  <tr>
    <td class="post_box_left post_text_l">邮件通知：</td>
    <td colspan="2" class="post_box_right post_issecret"><!--{if $REPLY_EMAIL eq '1'}--><input name="MailOption[]" type="checkbox" value="SendEmail" checked="checked" /><!--{elseif $REPLY_EMAIL eq '0'}--><input name="MailOption[]" type="checkbox" value="SendEmail" /><!--{/if}--></td>
  </tr>   
  <tr>
    <td class="post_box_left post_text_l">使用单独自定义邮件：</td>
    <td colspan="2" class="post_box_right post_issecret"><input name="MailOption[]" type="checkbox" value="AloneSend" /></td>
  </tr>    
  <tr>
    <td class="post_box_left post_content">单独自定义邮件内容：</td>
    <td colspan="2" class="post_box_right post_content_r">
    <!--{if $MAILTYPE eq 'TXT'}-->
    <textarea name="AloneMailContent" cols="" rows=""></textarea>
    <!--{/if}--> 
    <!-- 加载编辑器的容器 -->
    <!--{if $MAILTYPE eq 'HTML'}-->
    	<!--{if $SELECTEDIT eq 'baidu'}-->
			<script id="AloneMailContent" name="AloneMailContent" type="text/plain"></script>
            <script type="text/javascript">
            var ue = UE.getEditor('AloneMailContent', {
                toolbars: [
                    ['bold', 'fontfamily', 'fontsize', 'forecolor', 'insertimage', 'link', 'unlink', 'justifyleft', 'justifycenter', 'justifyright', 'attachment']
                ],
                autoHeightEnabled: true,
                autoFloatEnabled: true,
                initialFrameWidth : 700,
                initialFrameHeight: 220,
                elementPathEnabled: false,
                wordCount: false
            });
            </script>
		<!--{elseif $SELECTEDIT eq 'kindeditor'}-->
			<script>
				var editor;
				KindEditor.ready(function(K) {
					editor = K.create('textarea[name="AloneMailContent"]', {
						allowFileManager : true
					});
					K('input[name=getHtml]').click(function(e) {
						alert(editor.html());
					});
					K('input[name=isEmpty]').click(function(e) {
						alert(editor.isEmpty());
					});
					K('input[name=getText]').click(function(e) {
						alert(editor.text());
					});
					K('input[name=selectedHtml]').click(function(e) {
						alert(editor.selectedHtml());
					});
					K('input[name=setHtml]').click(function(e) {
						editor.html('<h3>Hello KindEditor</h3>');
					});
					K('input[name=setText]').click(function(e) {
						editor.text('<h3>Hello KindEditor</h3>');
					});
					K('input[name=insertHtml]').click(function(e) {
						editor.insertHtml('<strong>插入HTML</strong>');
					});
					K('input[name=appendHtml]').click(function(e) {
						editor.appendHtml('<strong>添加HTML</strong>');
					});
					K('input[name=clear]').click(function(e) {
						editor.html('');
					});
				});			
			</script>
        	<textarea name="AloneMailContent" style="width:700px;height:220px;">
			</textarea>                    
        <!--{/if}-->      
    <!--{/if}-->    
    </td>
  </tr>
  <!--{/if}-->
  <tr>
    <td class="post_box_left post_text_l"></td>
    <td colspan="2" class="post_box_right" id="sbumit_input"><input name="SubmitReply" type="Submit" value="确认回复" /><!--{nocache}--><input name="ReplyInputKey" type="hidden" value="<!--{$ReplyInputKey}-->" /><!--{/nocache}--><span class="url1" id="returnlast"><a href="javascript:history.go(-1);">返回上一页</a></span></td>
  </tr>           
</table>
</form>
</div>
<!--留言界面结束-->

<!--{include file="footer.html"}-->
